Bug 35640 - Upgrade FileSaver JS library to v2.0.4
Summary: Upgrade FileSaver JS library to v2.0.4
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 35584 11559
Blocks:
  Show dependency treegraph
 
Reported: 2023-12-22 13:29 UTC by Owen Leonard
Modified: 2024-01-12 11:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 35640: Upgrade FileSaver JS library to v2.0.4 (13.28 KB, patch)
2023-12-22 13:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35640: Upgrade FileSaver JS library to v2.0.4 (13.33 KB, patch)
2023-12-31 19:15 UTC, David Nind
Details | Diff | Splinter Review
Bug 35640: Upgrade FileSaver JS library to v2.0.4 (13.41 KB, patch)
2024-01-12 11:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-12-22 13:29:50 UTC
filesaver.js was added to Koha in 2015, with a version from 2013. We can upgrade to the most recent release, 2.0.4, from 2020.
Comment 1 Owen Leonard 2023-12-22 13:40:53 UTC
Created attachment 160242 [details] [review]
Bug 35640: Upgrade FileSaver JS library to v2.0.4

This patch upgrades filesaver.js from an unknown version added in 2015
to v2.0.4 which was released in 2020. The patch also moves the asset to
its own directory for consistency's sake.

To test, apply the patch and clear your browser cache if necessary.

- Locate a bibliographic record in the staff interface and edit it.
- Switch to the advanced editor.
- Click the dropdown menu next to the "Save to catalog" button, and test
  both the "Save as MARC" and "Save as MARCXML" controls.
- In both cases the record should be downloaded correctly.
Comment 2 David Nind 2023-12-31 19:15:56 UTC
Created attachment 160381 [details] [review]
Bug 35640: Upgrade FileSaver JS library to v2.0.4

This patch upgrades filesaver.js from an unknown version added in 2015
to v2.0.4 which was released in 2020. The patch also moves the asset to
its own directory for consistency's sake.

To test, apply the patch and clear your browser cache if necessary.

- Locate a bibliographic record in the staff interface and edit it.
- Switch to the advanced editor.
- Click the dropdown menu next to the "Save to catalog" button, and test
  both the "Save as MARC" and "Save as MARCXML" controls.
- In both cases the record should be downloaded correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2023-12-31 19:17:19 UTC
Testing notes (using KTD):

1. Enable the EnableAdvancedCatalogingEditor system preference.

2. For the record I edited (262 - Programming Perl) I had to add an 003 value before I could save the record (edit the bibliographic framework for books, make the 003 field visible in the editor).
Comment 4 Jonathan Druart 2024-01-12 11:22:56 UTC
Created attachment 160933 [details] [review]
Bug 35640: Upgrade FileSaver JS library to v2.0.4

This patch upgrades filesaver.js from an unknown version added in 2015
to v2.0.4 which was released in 2020. The patch also moves the asset to
its own directory for consistency's sake.

To test, apply the patch and clear your browser cache if necessary.

- Locate a bibliographic record in the staff interface and edit it.
- Switch to the advanced editor.
- Click the dropdown menu next to the "Save to catalog" button, and test
  both the "Save as MARC" and "Save as MARCXML" controls.
- In both cases the record should be downloaded correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>